# Class: Filter

Defined in: | node_modules/haml-coffee/src/nodes/filter.coffee
Inherits: | Node

## Overview

Filter node for built-in Haml filters:

- `:escaped`
- `:preserve`
- `:plain`
- `:css`
- `:javascript`
- `:cdata`

Only the top level filter marker is a filter node, containing child nodes are text nodes.

## Variables Summary

### Variable inherited from Node

CLEAR_WHITESPACE_LEFT CLEAR_WHITESPACE_RIGHT

## Instance Method Summary

- # (void) evaluate() Evaluate the Haml filters
- # (void) render() Render the filter
- # (void) renderFilterContent(indent, output, type = 'text') Render the child content, but omits empty lines at the end

## Inherited Method Summary

### Methods inherited from Node

#addChild #getOpener #getCloser #isPreserved #isCommented #markText #markRunningCode #markInsertingCode #evaluate #render

## Instance Method Details

# (void) evaluate()

Evaluate the Haml filters

# (void) render()

Render the filter

# (void) renderFilterContent(indent, output, type = 'text')

Render the child content, but omits empty lines at the end

### Parameters:

- output ( `Array` ) — where to append the content
- indent ( `Number` ) — the content indention

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input